> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tender.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Chain Currencies

> Retrieve currencies supported on a specific blockchain

<Note>
  **Auth method: Basic (Access ID)** — this endpoint only requires your
  `x-access-id` header. No request signing is needed. See
  [Authentication](/api-reference/authentication#basic-access-id-authentication).
</Note>

## Path Parameters

<ParamField path="id" type="string" required>
  Chain identifier

  **Example:** `"avalanche"`
</ParamField>

## Headers

<ParamField header="x-access-id" type="string" required>
  Your API access ID provided by Tender

  **Example:** `"your-access-id-here"`
</ParamField>

## Response

<ResponseField name="status" type="string" required>
  Status of the API request

  **Example:** `"success"`
</ResponseField>

<ResponseField name="message" type="string" required>
  Human-readable message describing the result

  **Example:** `"success"`
</ResponseField>

<ResponseField name="data" type="array" required>
  Array of currencies supported on the specified chain

  <Expandable title="currency object">
    <ResponseField name="id" type="string">
      Unique identifier for the currency

      **Example:** `"avalanche"`
    </ResponseField>

    <ResponseField name="name" type="string">
      Display name of the currency

      **Example:** `"Avax"`
    </ResponseField>

    <ResponseField name="icon" type="string">
      URL to the currency's icon image

      **Example:** `"https://tender-store.s3.amazonaws.com/icons/avax.png"`
    </ResponseField>

    <ResponseField name="symbol" type="string">
      Currency symbol

      **Example:** `"AVAX"`
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status of the currency

      **Example:** `"active"`
    </ResponseField>

    <ResponseField name="isContract" type="boolean">
      Whether this is a smart contract token

      **Example:** `false`
    </ResponseField>

    <ResponseField name="chains" type="array">
      Array of chain identifiers where this currency is available

      **Example:** `["avalanche"]`
    </ResponseField>

    <ResponseField name="priceTag" type="string">
      Price identifier for market data

      **Example:** `"avalanche-2"`
    </ResponseField>

    <ResponseField name="fee" type="object">
      Fee configuration per chain (chain id to fee string)

      **Example:** `{ "avalanche": "5" }`
    </ResponseField>

    <ResponseField name="contractAddress" type="object">
      Smart contract addresses per chain when <code>isContract</code> is true (chain id to address)

      **Example:** `{ "avalanche": "0x5425890298aed601595a70AB815c96711a31Bc65", "ethereum": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238" }`
    </ResponseField>
  </Expandable>
</ResponseField>

## Example response

```json theme={null}
{
  "status": "success",
  "message": "success",
  "data": [
    {
      "id": "avalanche",
      "name": "Avax",
      "icon": "https://tender-store.s3.amazonaws.com/icons/avax.png",
      "symbol": "AVAX",
      "status": "active",
      "isContract": false,
      "chains": ["avalanche"],
      "priceTag": "avalanche-2",
      "fee": { "avalanche": "5" }
    },
    {
      "id": "usdc",
      "name": "USDC",
      "icon": "https://tender-store.s3.amazonaws.com/icons/usdc.png",
      "symbol": "USDC",
      "status": "active",
      "isContract": true,
      "chains": ["avalanche", "ethereum", "optimism", "aurora", "near", "polygon", "solana", "base", "beam", "stellar", "tron", "8453"],
      "priceTag": "usd-coin",
      "fee": { "ethereum": "25", "optimism": "3", "avalanche": "3", "polygon": "3", "solana": "3", "stellar": "3", "base": "5", "beam": "5", "tron": "3" },
      "contractAddress": {
        "avalanche": "0x5425890298aed601595a70AB815c96711a31Bc65",
        "ethereum": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238",
        "optimism": "0xA6d3287496f7d3f1F20521141161448D15393b67",
        "polygon": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
        "solana": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "stellar": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
        "tron": "TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8",
        "base": "0x53D85F1925fCE8BB93732ed969800Df0b062258A"
      }
    },
    {
      "id": "usdt",
      "name": "USDT",
      "icon": "https://tender-store.s3.amazonaws.com/icons/usdt.png",
      "symbol": "USDT",
      "status": "active",
      "isContract": true,
      "chains": ["avalanche", "ethereum", "optimism", "aurora", "near", "polygon", "solana", "tron", "pego"],
      "priceTag": "tether",
      "fee": { "ethereum": "25", "optimism": "3", "avalanche": "3", "polygon": "3", "solana": "3", "tron": "3", "pego": "3" },
      "contractAddress": {
        "avalanche": "0xa1Ef10416440A13D555B9Dc78F81153D13340588",
        "ethereum": "0xFcF3950CFB1aCA9a7733839967126799A4D10fdF",
        "optimism": "0x94b008aA00579c1307B0EF2c499aD98a8ce58e58",
        "polygon": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
        "solana": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "tron": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
        "pego": "0x02F9Bebf5E54968D8Cc2562356C91ECDE135801B"
      }
    }
  ]
}
```


## OpenAPI

````yaml GET /v1/api/system/chains/{id}/currency
openapi: 3.1.0
info:
  title: Tender API
  description: Tender Developer API for cryptocurrency payments and agent management
  version: 1.0.0
  contact:
    name: Tender Support
    url: https://tender.cash
servers:
  - url: https://secureapi.tender.cash
    description: Production Server
  - url: https://sandbox-api.tender.cash
    description: Sandbox Server
security:
  - SignedAuth: []
tags:
  - name: Agents
    description: Manage agents and sub-businesses
  - name: Transactions
    description: Payment and transaction operations
  - name: System
    description: System information and configuration
  - name: Webhooks
    description: Webhook management and logs
  - name: On-ramp
    description: Fiat-to-crypto on-ramp operations
  - name: Payouts
    description: Send crypto from merchant balance to a wallet address or payout account
  - name: Subwallets
    description: Provision and manage crypto wallet infrastructure for your end-users
paths:
  /v1/api/system/chains/{id}/currency:
    get:
      tags:
        - System
      summary: Fetch Chain Currencies
      description: Get currencies available for a specific blockchain
      operationId: getChainCurrencies
      parameters:
        - name: id
          in: path
          required: true
          description: Chain ID (e.g., avalanche, ethereum)
          schema:
            type: string
        - name: x-access-id
          in: header
          required: true
          description: Your API access ID provided by Tender
          schema:
            type: string
          example: your-access-id-here
      responses:
        '200':
          description: Currencies retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrenciesResponse'
              example:
                status: success
                message: success
                data:
                  - id: avalanche
                    name: Avax
                    icon: https://tender-store.s3.amazonaws.com/icons/avax.png
                    symbol: AVAX
                    status: active
                    isContract: false
                    chains:
                      - avalanche
                    priceTag: avalanche-2
                    fee:
                      avalanche: '5'
                  - id: usdc
                    name: USDC
                    icon: https://tender-store.s3.amazonaws.com/icons/usdc.png
                    symbol: USDC
                    status: active
                    isContract: true
                    chains:
                      - avalanche
                      - ethereum
                      - optimism
                      - aurora
                      - near
                      - polygon
                      - solana
                      - base
                      - beam
                      - stellar
                      - tron
                      - '8453'
                    priceTag: usd-coin
                    fee:
                      ethereum: '25'
                      optimism: '3'
                      avalanche: '3'
                      polygon: '3'
                      solana: '3'
                      stellar: '3'
                      base: '5'
                      beam: '5'
                      tron: '3'
                    contractAddress:
                      avalanche: '0x5425890298aed601595a70AB815c96711a31Bc65'
                      ethereum: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                      optimism: '0xA6d3287496f7d3f1F20521141161448D15393b67'
                      polygon: '0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174'
                      solana: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                      stellar: GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5
                      tron: TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8
                      base: '0x53D85F1925fCE8BB93732ed969800Df0b062258A'
                  - id: usdt
                    name: USDT
                    icon: https://tender-store.s3.amazonaws.com/icons/usdt.png
                    symbol: USDT
                    status: active
                    isContract: true
                    chains:
                      - avalanche
                      - ethereum
                      - optimism
                      - aurora
                      - near
                      - polygon
                      - solana
                      - tron
                      - pego
                    priceTag: tether
                    fee:
                      ethereum: '25'
                      optimism: '3'
                      avalanche: '3'
                      polygon: '3'
                      solana: '3'
                      tron: '3'
                      pego: '3'
                    contractAddress:
                      avalanche: '0xa1Ef10416440A13D555B9Dc78F81153D13340588'
                      ethereum: '0xFcF3950CFB1aCA9a7733839967126799A4D10fdF'
                      optimism: '0x94b008aA00579c1307B0EF2c499aD98a8ce58e58'
                      polygon: '0xc2132D05D31c914a87C6611C10748AEb04B58e8F'
                      solana: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
                      tron: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                      pego: '0x02F9Bebf5E54968D8Cc2562356C91ECDE135801B'
      security:
        - AccessIdAuth: []
components:
  schemas:
    CurrenciesResponse:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Currency'
    Currency:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the currency
        name:
          type: string
        icon:
          type: string
        isContract:
          type: boolean
        chains:
          type: array
          items:
            type: string
        priceTag:
          type: string
        fee:
          type: object
        symbol:
          type: string
        status:
          type: string
        contractAddress:
          type: object
  securitySchemes:
    SignedAuth:
      type: apiKey
      in: header
      name: authorization
      description: >-
        Signed (HMAC) authentication. Required headers: x-access-id,
        x-request-id (UUID v4), x-timestamp (ISO 8601), and authorization
        (Base64 HMAC-SHA256 signature of {timeStamp, requestId, accessId} using
        your access secret).
    AccessIdAuth:
      type: apiKey
      in: header
      name: x-access-id
      description: >-
        Basic (Access ID) authentication. Only the x-access-id header is
        required; no request signing.

````